import { INode } from './Node';
declare type ChoiceType = 'object' | 'list' | 'string' | 'number' | 'boolean' | 'never';
declare type Choice = [ChoiceType, INode<any>, (old: any) => any];
declare type ChoiceNodeConfig = {
    context?: string;
};
/**
 * Node that allows multiple types
 */
export declare const ChoiceNode: (choices: Choice[], config?: ChoiceNodeConfig | undefined) => INode<any>;
export declare const ObjectOrList: (node: INode<any>, config?: ChoiceNodeConfig | undefined) => INode<any>;
export {};
