"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Force = exports.Mod = exports.Base = void 0;
exports.Base = ({
    default: () => undefined,
    transform: (_, v) => v,
    enabled: () => true,
    force: () => false,
    render: () => '',
    validate: (_, v) => v
});
exports.Mod = (node, mods) => ({
    ...node, ...mods
});
function Force(node, defaultValue) {
    return {
        ...node,
        force: () => true,
        default: () => defaultValue ? defaultValue : node.default()
    };
}
exports.Force = Force;
