import { INode } from './Node';
declare type NumberNodeConfig = {
    /** Whether only integers are allowed */
    integer?: boolean;
    /** If specified, number will be capped at this minimum */
    min?: number;
    /** If specified, number will be capped at this maximum */
    max?: number;
};
export declare const NumberNode: (config?: NumberNodeConfig | undefined) => INode<number>;
export {};
