"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractView = void 0;
class AbstractView {
    constructor(model) {
        this.model = model;
        this.model.addListener(this);
    }
    setModel(model) {
        this.model.removeListener(this);
        this.model = model;
        this.model.addListener(this);
    }
    invalidated(model) { }
}
exports.AbstractView = AbstractView;
