import { NodeMods, RenderOptions, AbstractNode } from '../../nodes/AbstractNode';
import { Path } from '../../model/Path';
import { TreeView } from '../../view/TreeView';
export declare class JsonStringNode extends AbstractNode<any> {
    constructor(mods?: NodeMods<any>);
    getState(el: Element): void;
    renderRaw(path: Path, value: any, view: TreeView, options?: RenderOptions): string;
    getClassName(): string;
}
