"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Reference = void 0;
const Registries_1 = require("../Registries");
exports.Reference = (schema, config) => ({
    default: (...args) => Registries_1.SCHEMAS.get(schema).default(...args),
    transform: (...args) => Registries_1.SCHEMAS.get(schema).transform(...args),
    enabled: (...args) => Registries_1.SCHEMAS.get(schema).enabled(...args),
    force: (...args) => Registries_1.SCHEMAS.get(schema).force(...args),
    render: (p, v, t, options) => Registries_1.SCHEMAS.get(schema).render(p, v, t, { ...options, ...config }),
    validate: (p, v, e, options) => Registries_1.SCHEMAS.get(schema).validate(p, v, e, { ...options, ...config })
});
