"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Reference = void 0;
const Registries_1 = require("../Registries");
exports.Reference = (schema) => ({
    default: (...args) => Registries_1.SCHEMAS.get(schema).default(...args),
    transform: (...args) => Registries_1.SCHEMAS.get(schema).transform(...args),
    enabled: (...args) => Registries_1.SCHEMAS.get(schema).enabled(...args),
    render: (...args) => Registries_1.SCHEMAS.get(schema).render(...args),
    validate: (...args) => Registries_1.SCHEMAS.get(schema).validate(...args)
});
